import { Entity, DefaultDeSerializers, DeSerializers, DeserializedType } from '@sap-cloud-sdk/odata-v4';
/**
 * This class represents the entity "A_VMSVehicleCampaign" of service "com.sap.gateway.srvd_a2x.api_vmsvehiclecampaign.v0001".
 */
export declare class VmsVehicleCampaign<T extends DeSerializers = DefaultDeSerializers> extends Entity implements VmsVehicleCampaignType<T> {
    /**
     * Technical entity name for VmsVehicleCampaign.
     */
    static _entityName: string;
    /**
     * Default url path for the according service.
     */
    static _defaultServicePath: string;
    /**
     * All key fields of the VmsVehicleCampaign entity
     */
    static _keys: string[];
    /**
     * Vms Vehicle Sales Campaign.
     * Maximum length: 10.
     */
    vmsVehicleSalesCampaign: DeserializedType<T, 'Edm.String'>;
}
export interface VmsVehicleCampaignType<T extends DeSerializers = DefaultDeSerializers> {
    vmsVehicleSalesCampaign: DeserializedType<T, 'Edm.String'>;
}
//# sourceMappingURL=VmsVehicleCampaign.d.ts.map