import { VmsVehicleCampaign } from './VmsVehicleCampaign';
import { VmsVehicleCampaignRequestBuilder } from './VmsVehicleCampaignRequestBuilder';
import { CustomField, DefaultDeSerializers, DeSerializers, AllFields, EntityBuilderType, EntityApi, EdmTypeField } from '@sap-cloud-sdk/odata-v4';
export declare class VmsVehicleCampaignApi<DeSerializersT extends DeSerializers = DefaultDeSerializers> implements EntityApi<VmsVehicleCampaign<DeSerializersT>, DeSerializersT> {
    deSerializers: DeSerializersT;
    constructor(deSerializers?: DeSerializersT);
    private navigationPropertyFields;
    _addNavigationProperties(linkedApis: [
    ]): this;
    entityConstructor: typeof VmsVehicleCampaign;
    requestBuilder(): VmsVehicleCampaignRequestBuilder<DeSerializersT>;
    entityBuilder(): EntityBuilderType<VmsVehicleCampaign<DeSerializersT>, DeSerializersT>;
    customField<NullableT extends boolean = false>(fieldName: string, isNullable?: NullableT): CustomField<VmsVehicleCampaign<DeSerializersT>, DeSerializersT, NullableT>;
    get schema(): {
        /**
         *
         * All fields selector.
         */
        ALL_FIELDS: AllFields<VmsVehicleCampaign<DeSerializers<any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any>>>;
        /**
     * Static representation of the [[vmsVehicleSalesCampaign]] property for query construction.
     * Use to reference this property in query operations such as 'select' in the fluent request API.
     */
        VMS_VEHICLE_SALES_CAMPAIGN: EdmTypeField<VmsVehicleCampaign<DeSerializers<any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any, any>>, DeSerializersT, "Edm.String", false, true>;
    };
}
//# sourceMappingURL=VmsVehicleCampaignApi.d.ts.map